
import math



# Vytvorte funkciu obsah_trojuholnika, ktorá vyhodnotí či zadaná trojica bodov v 2D priestore
# reprezentuje vrcholy trojuholníka. V prípade, že reprezentuje, výstupom je jeho obsah.


def obsah_trojuholnika(A,B,C):
    a=math.sqrt((B[0]-C[0])**2+(B[1]-C[1])**2)
    b=math.sqrt((A[0]-C[0])**2+(A[1]-C[1])**2)
    c=math.sqrt((A[0]-B[0])**2+(A[1]-B[1])**2)
    if a+b>c and a+c>b and b+c>a:
        s=(a+b+c)/2
        S=math.sqrt(s*(s-a)*(s-b)*(s-c))
        print('Obsah trojuholnika je '+str(S)+' j^2')
    else:
         print('zadane body nereprezentuju vrcholy trojuholnika')



X=[2,6]
Y=[2,10]
Z=[5,6]
obsah_trojuholnika(X,Y,Z)




P=[7,8]
Q=[9,10]
R=[4,5]
obsah_trojuholnika(P,Q,R)










## iný prístup viacnásobným odvolaním sa na pomocnú funkciu:    


##def dlzka(bod1,bod2):
##   return math.sqrt((bod1[0]-bod2[0])**2+(bod1[1]-bod2[1])**2)



##def obsah_trojuholnika(A,B,C):
##    a=dlzka(B,C)
##    b=dlzka(A,C)
##    c=dlzka(A,B)
##    if a+b>c and a+c>b and b+c>a:
##        s=(a+b+c)/2
##        S=math.sqrt(s*(s-a)*(s-b)*(s-c))
##        print('Obsah trojuholnika je '+str(S)+' j^2')
##    else:
##         print('zadane body nereprezentuju vrcholy trojuholnika')






##X=[2,6]
##Y=[2,10]
##Z=[5,6]
##obsah_trojuholnika(X,Y,Z)




##P=[7,8]
##Q=[9,10]
##R=[4,5]
##obsah_trojuholnika(P,Q,R)
